Skip to main content
`Ctrl`+`K`

# TSSetSolution

Sets the initial solution vector for use by the `TS` routines.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetSolution(TS ts, Vec u)

Logically Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- u - the solution vector

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetSolutionFunction()`, `TSGetSolution()`, `TSCreate()`

## Level

beginner

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex17.c
src/ts/tutorials/ex12.c
src/ts/tutorials/ex51.c
src/ts/tutorials/ex22.c
src/ts/tutorials/ex22f.F90
src/ts/tutorials/ex27.c
src/ts/tutorials/ex15.c
src/ts/tutorials/ex1f.F90
src/ts/tutorials/ex11.c
src/ts/tutorials/ex1.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages